# boost::lockfree::detail::atomic_cas< C > Struct Template Reference

List of all members.

## Detailed Description

### template<typename C>
struct boost::lockfree::detail::atomic_cas< C >

Definition at line 187 of file cas.hpp.

## Static Public Member Functions

static bool | cas (volatile C *addr, C const &old, C const &nw)

## Static Public Attributes

static const bool | is_lockfree = cas_t::is_lockfree

The documentation for this struct was generated from the following file:

- common/include/boost/lockfree/detail/cas.hpp